<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc -->
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>ReloadingController (Apache Commons Configuration 2.2 API)</title>
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ReloadingController (Apache Commons Configuration 2.2 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ReloadingController.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/apache/commons/configuration2/reloading/PeriodicReloadingTrigger.html" title="class in org.apache.commons.configuration2.reloading"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../org/apache/commons/configuration2/reloading/ReloadingControllerSupport.html" title="interface in org.apache.commons.configuration2.reloading"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/commons/configuration2/reloading/ReloadingController.html" target="_top">Frames</a></li>
<li><a href="ReloadingController.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.apache.commons.configuration2.reloading</div>
<h2 title="Class ReloadingController" class="title">Class ReloadingController</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.apache.commons.configuration2.reloading.ReloadingController</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../../../org/apache/commons/configuration2/event/EventSource.html" title="interface in org.apache.commons.configuration2.event">EventSource</a></dd>
</dl>
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><a href="../../../../../org/apache/commons/configuration2/reloading/CombinedReloadingController.html" title="class in org.apache.commons.configuration2.reloading">CombinedReloadingController</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">ReloadingController</span>
extends <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>
implements <a href="../../../../../org/apache/commons/configuration2/event/EventSource.html" title="interface in org.apache.commons.configuration2.event">EventSource</a></pre>
<div class="block"><p>
 A class for adding support for reload operations in a generic way.
 </p>
 <p>
 A <code>ReloadingController</code> monitors a specific source and triggers
 reloading events if necessary. So it does not perform reloading itself, but
 only sends out notifications when it thinks that this should be done. This
 allows for a very generic setup in which different components involved in
 reloading are loosely coupled via events.
 </p>
 <p>
 A typical usage scenario is as follows:
 </p>
 <ul>
 <li>A <code>ReloadingController</code> instance is created and initialized with a
 <a href="../../../../../org/apache/commons/configuration2/reloading/ReloadingDetector.html" title="interface in org.apache.commons.configuration2.reloading"><code>ReloadingDetector</code></a> object.</li>
 <li>A number of <a href="../../../../../org/apache/commons/configuration2/event/EventListener.html" title="interface in org.apache.commons.configuration2.event"><code>EventListener</code></a> objects for reloading events can be
 registered at the controller.</li>
 <li>Now the controller's <code>checkForReloading()</code> method is called
 whenever a check is to be performed. This could be done for instance by a
 timer in regular intervals or by any other means appropriate for a specific
 application.</li>
 <li>When a check reveals that a reload operation is necessary all registered
 event listeners are notified.</li>
 <li>Typically one of the listeners is responsible to perform the actual
 reload operation. (How this is done is not in the scope of the controller
 object.) After this has been done, the controller's
 <code>resetReloadingState()</code> method must be called. It tells the controller
 that the last notification has been processed and that new checks are
 possible again. It is important that this method is called. Otherwise,
 <code>checkForReloading()</code> will not do any new checks or send out event
 notifications any more.</li>
 </ul>
 <p>
 This class can be accessed from multiple threads concurrently. It shields the
 associated <a href="../../../../../org/apache/commons/configuration2/reloading/ReloadingDetector.html" title="interface in org.apache.commons.configuration2.reloading"><code>ReloadingDetector</code></a> object for concurrent access, so that a
 concrete detector implementation does not have to be thread-safe.
 </p></div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>2.0</dd>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>$Id: ReloadingController.java 1679751 2015-05-16 17:33:15Z oheger $</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/reloading/ReloadingController.html#ReloadingController-org.apache.commons.configuration2.reloading.ReloadingDetector-">ReloadingController</a></span>(<a href="../../../../../org/apache/commons/configuration2/reloading/ReloadingDetector.html" title="interface in org.apache.commons.configuration2.reloading">ReloadingDetector</a>&nbsp;detect)</code>
<div class="block">Creates a new instance of <code>ReloadingController</code> and associates it
 with the given <code>ReloadingDetector</code> object.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>&lt;T extends <a href="../../../../../org/apache/commons/configuration2/event/Event.html" title="class in org.apache.commons.configuration2.event">Event</a>&gt;<br>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/reloading/ReloadingController.html#addEventListener-org.apache.commons.configuration2.event.EventType-org.apache.commons.configuration2.event.EventListener-">addEventListener</a></span>(<a href="../../../../../org/apache/commons/configuration2/event/EventType.html" title="class in org.apache.commons.configuration2.event">EventType</a>&lt;T&gt;&nbsp;eventType,
                <a href="../../../../../org/apache/commons/configuration2/event/EventListener.html" title="interface in org.apache.commons.configuration2.event">EventListener</a>&lt;? super T&gt;&nbsp;listener)</code>
<div class="block">Adds an event listener for the specified event type.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/reloading/ReloadingController.html#checkForReloading-java.lang.Object-">checkForReloading</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;data)</code>
<div class="block">Performs a check whether a reload operation is necessary.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/reloading/ReloadingDetector.html" title="interface in org.apache.commons.configuration2.reloading">ReloadingDetector</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/reloading/ReloadingController.html#getDetector--">getDetector</a></span>()</code>
<div class="block">Returns the <code>ReloadingDetector</code> used by this controller.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/reloading/ReloadingController.html#isInReloadingState--">isInReloadingState</a></span>()</code>
<div class="block">Tests whether this controller is in <em>reloading state</em>.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>&lt;T extends <a href="../../../../../org/apache/commons/configuration2/event/Event.html" title="class in org.apache.commons.configuration2.event">Event</a>&gt;<br>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/reloading/ReloadingController.html#removeEventListener-org.apache.commons.configuration2.event.EventType-org.apache.commons.configuration2.event.EventListener-">removeEventListener</a></span>(<a href="../../../../../org/apache/commons/configuration2/event/EventType.html" title="class in org.apache.commons.configuration2.event">EventType</a>&lt;T&gt;&nbsp;eventType,
                   <a href="../../../../../org/apache/commons/configuration2/event/EventListener.html" title="interface in org.apache.commons.configuration2.event">EventListener</a>&lt;? super T&gt;&nbsp;listener)</code>
<div class="block">Removes the event listener registration for the given event type and
 listener.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/reloading/ReloadingController.html#resetReloadingState--">resetReloadingState</a></span>()</code>
<div class="block">Resets the reloading state.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="ReloadingController-org.apache.commons.configuration2.reloading.ReloadingDetector-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>ReloadingController</h4>
<pre>public&nbsp;ReloadingController(<a href="../../../../../org/apache/commons/configuration2/reloading/ReloadingDetector.html" title="interface in org.apache.commons.configuration2.reloading">ReloadingDetector</a>&nbsp;detect)</pre>
<div class="block">Creates a new instance of <code>ReloadingController</code> and associates it
 with the given <code>ReloadingDetector</code> object.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>detect</code> - the <code>ReloadingDetector</code> (must not be <b>null</b>)</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/IllegalArgumentException.html?is-external=true" title="class or interface in java.lang">IllegalArgumentException</a></code> - if the detector is undefined</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getDetector--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDetector</h4>
<pre>public&nbsp;<a href="../../../../../org/apache/commons/configuration2/reloading/ReloadingDetector.html" title="interface in org.apache.commons.configuration2.reloading">ReloadingDetector</a>&nbsp;getDetector()</pre>
<div class="block">Returns the <code>ReloadingDetector</code> used by this controller.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the <code>ReloadingDetector</code></dd>
</dl>
</li>
</ul>
<a name="addEventListener-org.apache.commons.configuration2.event.EventType-org.apache.commons.configuration2.event.EventListener-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addEventListener</h4>
<pre>public&nbsp;&lt;T extends <a href="../../../../../org/apache/commons/configuration2/event/Event.html" title="class in org.apache.commons.configuration2.event">Event</a>&gt;&nbsp;void&nbsp;addEventListener(<a href="../../../../../org/apache/commons/configuration2/event/EventType.html" title="class in org.apache.commons.configuration2.event">EventType</a>&lt;T&gt;&nbsp;eventType,
                                               <a href="../../../../../org/apache/commons/configuration2/event/EventListener.html" title="interface in org.apache.commons.configuration2.event">EventListener</a>&lt;? super T&gt;&nbsp;listener)</pre>
<div class="block">Adds an event listener for the specified event type. This listener is
 notified about events of this type and all its sub types. This class generates events of type <code>ReloadingEvent</code>.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/apache/commons/configuration2/event/EventSource.html#addEventListener-org.apache.commons.configuration2.event.EventType-org.apache.commons.configuration2.event.EventListener-">addEventListener</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/apache/commons/configuration2/event/EventSource.html" title="interface in org.apache.commons.configuration2.event">EventSource</a></code></dd>
<dt><span class="paramLabel">Type Parameters:</span></dt>
<dd><code>T</code> - the type of events processed by this listener</dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>eventType</code> - the event type (must not be <b>null</b>)</dd>
<dd><code>listener</code> - the listener to be registered (must not be <b>null</b>)</dd>
</dl>
</li>
</ul>
<a name="removeEventListener-org.apache.commons.configuration2.event.EventType-org.apache.commons.configuration2.event.EventListener-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>removeEventListener</h4>
<pre>public&nbsp;&lt;T extends <a href="../../../../../org/apache/commons/configuration2/event/Event.html" title="class in org.apache.commons.configuration2.event">Event</a>&gt;&nbsp;boolean&nbsp;removeEventListener(<a href="../../../../../org/apache/commons/configuration2/event/EventType.html" title="class in org.apache.commons.configuration2.event">EventType</a>&lt;T&gt;&nbsp;eventType,
                                                     <a href="../../../../../org/apache/commons/configuration2/event/EventListener.html" title="interface in org.apache.commons.configuration2.event">EventListener</a>&lt;? super T&gt;&nbsp;listener)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../org/apache/commons/configuration2/event/EventSource.html#removeEventListener-org.apache.commons.configuration2.event.EventType-org.apache.commons.configuration2.event.EventListener-">EventSource</a></code></span></div>
<div class="block">Removes the event listener registration for the given event type and
 listener. An event listener instance may be registered multiple times for
 different event types. Therefore, when removing a listener the event type
 of the registration in question has to be specified. The return value
 indicates whether a registration was removed. A value of <b>false</b>
 means that no such combination of event type and listener was found.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/apache/commons/configuration2/event/EventSource.html#removeEventListener-org.apache.commons.configuration2.event.EventType-org.apache.commons.configuration2.event.EventListener-">removeEventListener</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/apache/commons/configuration2/event/EventSource.html" title="interface in org.apache.commons.configuration2.event">EventSource</a></code></dd>
<dt><span class="paramLabel">Type Parameters:</span></dt>
<dd><code>T</code> - the type of events processed by this listener</dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>eventType</code> - the event type</dd>
<dd><code>listener</code> - the event listener to be removed</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a flag whether a listener registration was removed</dd>
</dl>
</li>
</ul>
<a name="isInReloadingState--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isInReloadingState</h4>
<pre>public&nbsp;boolean&nbsp;isInReloadingState()</pre>
<div class="block">Tests whether this controller is in <em>reloading state</em>. A return
 value of <b>true</b> means that a previous invocation of
 <code>checkForReloading()</code> has detected the necessity for a reload
 operation, but <code>resetReloadingState()</code> has not been called yet. In
 this state no further reloading checks are possible.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a flag whether this controller is in reloading state</dd>
</dl>
</li>
</ul>
<a name="checkForReloading-java.lang.Object-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>checkForReloading</h4>
<pre>public&nbsp;boolean&nbsp;checkForReloading(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;data)</pre>
<div class="block">Performs a check whether a reload operation is necessary. This method has
 to be called to trigger the generation of reloading events. It delegates
 to the associated <a href="../../../../../org/apache/commons/configuration2/reloading/ReloadingDetector.html" title="interface in org.apache.commons.configuration2.reloading"><code>ReloadingDetector</code></a> and sends out notifications
 if necessary. The argument can be an arbitrary data object; it will be
 part of the event notification sent out when a reload operation should be
 performed. The return value indicates whether a change was detected and
 an event was sent. Once a need for a reload is detected, this controller
 is in <em>reloading state</em>. Until this state is reset (by calling
 <a href="../../../../../org/apache/commons/configuration2/reloading/ReloadingController.html#resetReloadingState--"><code>resetReloadingState()</code></a>), no further reloading checks are
 performed by this method, and no events are fired; it then returns always
 <b>true</b>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>data</code> - additional data for an event notification</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a flag whether a reload operation is necessary</dd>
</dl>
</li>
</ul>
<a name="resetReloadingState--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>resetReloadingState</h4>
<pre>public&nbsp;void&nbsp;resetReloadingState()</pre>
<div class="block">Resets the reloading state. This tells the controller that reloading has
 been performed and new checks are possible again. If this controller is
 not in reloading state, this method has no effect.</div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ReloadingController.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/apache/commons/configuration2/reloading/PeriodicReloadingTrigger.html" title="class in org.apache.commons.configuration2.reloading"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../org/apache/commons/configuration2/reloading/ReloadingControllerSupport.html" title="interface in org.apache.commons.configuration2.reloading"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/commons/configuration2/reloading/ReloadingController.html" target="_top">Frames</a></li>
<li><a href="ReloadingController.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2001&#x2013;2017 <a href="https://www.apache.org/">The Apache Software Foundation</a>. All rights reserved.</small></p>
</body>
</html>
